// compat.h
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Author: allauzen@google.com (Cyril)
//
// \file
// Google compatibility declarations and inline definitions.

#ifndef KERNEL_LIB_COMPAT_H__
#define KERNEL_LIB_COMPAT_H__

#include <fst/compat.h>
#include "kernel/lib/blas-compat.h"

namespace kernel {

using fst::Mutex;
using fst::MutexLock;
using namespace std;

// TODO(allauzen): Should be move to fst compat file.
typedef signed char schar;

}  // namespace kernel

#endif  // KERNEL_LIB_COMPAT_H__
